# Created 23 AUG 2024
product.shortname=viskit
viskit.dir=${basedir}/${product.shortname}

#assy.file=${basedir}/examples/src/ViskitOpenDis7Examples/Assemblies/dis7/ArrivalProcessOpenDis7Assembly.xml
#assy.file=${basedir}/examples/src/ViskitOpenDis7Examples/Assemblies/dis7/SimpleServerDis7Assembly.xml

# Viskit run arguments
common.run.args=-Xmx256m \
    -Dswing.aatext=true

win.run.args=${common.run.args}

run.arg1=-Dawt.useSystemAAFontSettings=gasp
unix.run.args=${common.run.args} ${run.arg1}

run.arg2=-Dapple.awt.graphics.UseQuartz=true \
    -Dapple.laf.useScreenMenuBar=true \
    -Dapple.awt.brushMetalLook=true \
    -Xdock:name=${product.shortname} \
    --add-exports java.desktop/com.apple.eawt=ALL-UNNAMED
mac.run.args=${common.run.args} ${run.arg2}

# property used to identify .viskit/*.xml files
dot.viskit.dir=${user.home}/.${product.shortname}
